src/base/cs_time_step.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_time_step.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_log.h"`
`#include "cs_map.h"`
`#include "cs_parall.h"`
`#include "cs_mesh_location.h"`
`#include "cs_time_step.h"`
Include dependency graph for cs_time_step.c:

## Functions
void | cs_time_step_define_nt_max (int nt_max)
| Define maximum time step number. More...
void | cs_time_step_define_t_max (double t_max)
| Define maximum time value. More...
void | cs_time_step_define_prev (int nt_prev, double t_prev)
| Set time values from previous (usually restarted) calculations. More...
void | cs_time_step_increment (double dt)
| Increment the global time step. More...
void | cs_time_step_redefine_cur (int nt_cur, double t_cur)
| Redefine the current time values. More...

## Detailed Description

base time step data.

## Function Documentation

void cs_time_step_define_nt_max | ( | int | nt_max | ) |

Define maximum time step number.

(end ignore by Doxygen)

(end ignore by Doxygen)

Parameters

  [in] | nt_max | maximum time step number (unlimited if negative)

void cs_time_step_define_prev | ( | int | nt_prev,
|  | double | t_prev
| ) |  |

Set time values from previous (usually restarted) calculations.

Parameters

  [in] | nt_prev | previous time step number
  [in] | t_prev | previous physical time

void cs_time_step_define_t_max | ( | double | t_max | ) |

Define maximum time value.

Parameters

  [in] | t_max | maximum time value (unlimited if negative)

void cs_time_step_increment | ( | double | dt | ) |

Increment the global time step.

Parameters

  [in] | dt | time step value to increment

void cs_time_step_redefine_cur | ( | int | nt_cur,
|  | double | t_cur
| ) |  |

Redefine the current time values.

Remarks
  Using cs_time_step_increment is preferred, but this function may be required for reverting to a previous time step.

Parameters

  [in] | nt_cur | current time step number
  [in] | t_cur | current physical time